Disassemble program bytes into the TEAL source code. | Algorand Developer Portal

Disassemble program bytes into the TEAL source code.

POST

/v2/teal/disassemble

Given the program bytes, return the TEAL source code in plain text. This endpoint is only enabled when a node’s configuration file sets EnableDeveloperAPI to true.

Authorizations

Request Body required

TEAL program binary to be disassembled

Select media type application/x-binary

string format: byte

Responses

200

Teal disassembly Result

Select media type application/json

object

result
required
Disassembled Teal code
string

400

Bad Request - Teal Compile Error

Select media type application/json

An error response with optional data field.

object

data
object

message
required
string

401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

data
object

message
required
string

404

Developer API not enabled

500

Internal Error

Select media type application/json

An error response with optional data field.

object

data
object

message
required
string

default

Unknown Error